<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: rans_func_m Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">rans_func_m Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a25cebb6acb6039ea1816abf23b0a446d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerans__func__m.html#a25cebb6acb6039ea1816abf23b0a446d">rans_register_data</a> (vdf)</td></tr>
<tr class="separator:a25cebb6acb6039ea1816abf23b0a446d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a455b57f56c2b6bc2f0f78813dd7d4396"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerans__func__m.html#a455b57f56c2b6bc2f0f78813dd7d4396">rans_update_spalart_allmaras</a> (vdf)</td></tr>
<tr class="separator:a455b57f56c2b6bc2f0f78813dd7d4396"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a184edc5221c498e9678b5d9d314152"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerans__func__m.html#a1a184edc5221c498e9678b5d9d314152">apply_default_bc_spalart_allmaras</a> (vdf, CHECK_BC)</td></tr>
<tr class="separator:a1a184edc5221c498e9678b5d9d314152"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a102b33954fe4cc996fc9f21f36221e52"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerans__func__m.html#a102b33954fe4cc996fc9f21f36221e52">rans_update_k_eps_std</a> (vdf)</td></tr>
<tr class="separator:a102b33954fe4cc996fc9f21f36221e52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eeba550eb745ac6855366c051644fc3"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerans__func__m.html#a2eeba550eb745ac6855366c051644fc3">get_rans_data_k_eps_std</a> (data_pt, i, j, k, vdf)</td></tr>
<tr class="separator:a2eeba550eb745ac6855366c051644fc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a1a184edc5221c498e9678b5d9d314152"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a184edc5221c498e9678b5d9d314152">&#9670;&nbsp;</a></span>apply_default_bc_spalart_allmaras()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public rans_func_m::apply_default_bc_spalart_allmaras </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in)&#160;</td>
          <td class="paramname"><em>CHECK_BC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerans__func__m_a1a184edc5221c498e9678b5d9d314152_icgraph.png" border="0" usemap="#namespacerans__func__m_a1a184edc5221c498e9678b5d9d314152_icgraph" alt=""/></div>
<map name="namespacerans__func__m_a1a184edc5221c498e9678b5d9d314152_icgraph" id="namespacerans__func__m_a1a184edc5221c498e9678b5d9d314152_icgraph">
<area shape="rect" id="node2" href="namespacesgsmodel__m.html#aa723a93979378aabf37f23189b7b92da" title="sgsmodel_m::sgsmodel\l_apply_default_bc" alt="" coords="189,13,349,54"/>
</map>
</div>

</div>
</div>
<a id="a2eeba550eb745ac6855366c051644fc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2eeba550eb745ac6855366c051644fc3">&#9670;&nbsp;</a></span>get_rans_data_k_eps_std()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine rans_func_m::get_rans_data_k_eps_std </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structrans__defs__m_1_1rans__pt__data__t.html">rans_pt_data_t</a>), intent(inout), target&#160;</td>
          <td class="paramname"><em>data_pt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>j</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerans__func__m_a2eeba550eb745ac6855366c051644fc3_icgraph.png" border="0" usemap="#namespacerans__func__m_a2eeba550eb745ac6855366c051644fc3_icgraph" alt=""/></div>
<map name="namespacerans__func__m_a2eeba550eb745ac6855366c051644fc3_icgraph" id="namespacerans__func__m_a2eeba550eb745ac6855366c051644fc3_icgraph">
<area shape="rect" id="node2" href="namespacerans__func__m.html#a102b33954fe4cc996fc9f21f36221e52" title="rans_func_m::rans_update\l_k_eps_std" alt="" coords="208,5,384,47"/>
<area shape="rect" id="node3" href="namespacesgsmodel__m.html#ae092504e358a0275af38bd14ebe97639" title="sgsmodel_m::sgsmodel\l_rans_update" alt="" coords="432,5,592,47"/>
<area shape="rect" id="node4" href="namespacevdf__scalar.html#a52c04fbee6b707e0d63412c553e74def" title="vdf_scalar::scalar_step" alt="" coords="640,13,797,39"/>
</map>
</div>

</div>
</div>
<a id="a25cebb6acb6039ea1816abf23b0a446d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25cebb6acb6039ea1816abf23b0a446d">&#9670;&nbsp;</a></span>rans_register_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public rans_func_m::rans_register_data </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="rans__func__m_8f90.html#ad90e0d2e0f9a236cedd6f42a35d79459">sgs_register_scalar()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerans__func__m_a25cebb6acb6039ea1816abf23b0a446d_cgraph.png" border="0" usemap="#namespacerans__func__m_a25cebb6acb6039ea1816abf23b0a446d_cgraph" alt=""/></div>
<map name="namespacerans__func__m_a25cebb6acb6039ea1816abf23b0a446d_cgraph" id="namespacerans__func__m_a25cebb6acb6039ea1816abf23b0a446d_cgraph">
<area shape="rect" id="node2" href="rans__func__m_8f90.html#ad90e0d2e0f9a236cedd6f42a35d79459" title="sgs_register_scalar" alt="" coords="265,5,400,32"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerans__func__m_a25cebb6acb6039ea1816abf23b0a446d_icgraph.png" border="0" usemap="#namespacerans__func__m_a25cebb6acb6039ea1816abf23b0a446d_icgraph" alt=""/></div>
<map name="namespacerans__func__m_a25cebb6acb6039ea1816abf23b0a446d_icgraph" id="namespacerans__func__m_a25cebb6acb6039ea1816abf23b0a446d_icgraph">
<area shape="rect" id="node2" href="namespacesgsmodel__m.html#a4693b2680c12a75d9946bf147e2a0226" title="sgsmodel_m::sgsmodel\l_register_data" alt="" coords="265,5,425,47"/>
</map>
</div>

</div>
</div>
<a id="a102b33954fe4cc996fc9f21f36221e52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a102b33954fe4cc996fc9f21f36221e52">&#9670;&nbsp;</a></span>rans_update_k_eps_std()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public rans_func_m::rans_update_k_eps_std </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacerans__func__m.html#a2eeba550eb745ac6855366c051644fc3">get_rans_data_k_eps_std()</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerans__func__m_a102b33954fe4cc996fc9f21f36221e52_cgraph.png" border="0" usemap="#namespacerans__func__m_a102b33954fe4cc996fc9f21f36221e52_cgraph" alt=""/></div>
<map name="namespacerans__func__m_a102b33954fe4cc996fc9f21f36221e52_cgraph" id="namespacerans__func__m_a102b33954fe4cc996fc9f21f36221e52_cgraph">
<area shape="rect" id="node2" href="namespacerans__func__m.html#a2eeba550eb745ac6855366c051644fc3" title="rans_func_m::get_rans\l_data_k_eps_std" alt="" coords="229,5,384,47"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerans__func__m_a102b33954fe4cc996fc9f21f36221e52_icgraph.png" border="0" usemap="#namespacerans__func__m_a102b33954fe4cc996fc9f21f36221e52_icgraph" alt=""/></div>
<map name="namespacerans__func__m_a102b33954fe4cc996fc9f21f36221e52_icgraph" id="namespacerans__func__m_a102b33954fe4cc996fc9f21f36221e52_icgraph">
<area shape="rect" id="node2" href="namespacesgsmodel__m.html#ae092504e358a0275af38bd14ebe97639" title="sgsmodel_m::sgsmodel\l_rans_update" alt="" coords="229,5,389,47"/>
<area shape="rect" id="node3" href="namespacevdf__scalar.html#a52c04fbee6b707e0d63412c553e74def" title="vdf_scalar::scalar_step" alt="" coords="437,13,595,39"/>
</map>
</div>

</div>
</div>
<a id="a455b57f56c2b6bc2f0f78813dd7d4396"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a455b57f56c2b6bc2f0f78813dd7d4396">&#9670;&nbsp;</a></span>rans_update_spalart_allmaras()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public rans_func_m::rans_update_spalart_allmaras </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacevdf__gradient.html#a2e3841faa0f38cd814d1ce73a83a5240">vdf_gradient::gradient_vector()</a>, and <a class="el" href="rans__func__m_8f90.html#a25d381b05415ba9fcfb230fc7de31420">update_viscosity()</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerans__func__m_a455b57f56c2b6bc2f0f78813dd7d4396_cgraph.png" border="0" usemap="#namespacerans__func__m_a455b57f56c2b6bc2f0f78813dd7d4396_cgraph" alt=""/></div>
<map name="namespacerans__func__m_a455b57f56c2b6bc2f0f78813dd7d4396_cgraph" id="namespacerans__func__m_a455b57f56c2b6bc2f0f78813dd7d4396_cgraph">
<area shape="rect" id="node2" href="namespacevdf__gradient.html#a2e3841faa0f38cd814d1ce73a83a5240" title="vdf_gradient::gradient\l_vector" alt="" coords="229,5,376,47"/>
<area shape="rect" id="node3" href="rans__func__m_8f90.html#a25d381b05415ba9fcfb230fc7de31420" title="update_viscosity" alt="" coords="243,71,363,98"/>
<area shape="rect" id="node4" href="namespacesgs__tools.html#a36ed3f0a5029c78b3e196e8304334b7d" title="sgs_tools::sgsmodel\l_apply_border" alt="" coords="424,64,567,105"/>
</map>
</div>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerans__func__m_a455b57f56c2b6bc2f0f78813dd7d4396_icgraph.png" border="0" usemap="#namespacerans__func__m_a455b57f56c2b6bc2f0f78813dd7d4396_icgraph" alt=""/></div>
<map name="namespacerans__func__m_a455b57f56c2b6bc2f0f78813dd7d4396_icgraph" id="namespacerans__func__m_a455b57f56c2b6bc2f0f78813dd7d4396_icgraph">
<area shape="rect" id="node2" href="namespacesgsmodel__m.html#ae092504e358a0275af38bd14ebe97639" title="sgsmodel_m::sgsmodel\l_rans_update" alt="" coords="229,5,389,47"/>
<area shape="rect" id="node3" href="namespacevdf__scalar.html#a52c04fbee6b707e0d63412c553e74def" title="vdf_scalar::scalar_step" alt="" coords="437,13,595,39"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
